
const APP_DISPLAY_NAME    = "OperaView";
const APP_NAME            = "operaview";
const APP_PACKAGE         = "operaview.mozdev.org";
const APP_VERSION         = "0.1";

const APP_JAR_FILE        = "operaview.jar";
const APP_CONTENT_FOLDER  = "content/";
const APP_LOCALE          = "en-US";
const APP_LOCALE_FOLDER   = "locale/" + APP_LOCALE + "/operaview/";
const APP_LOCALE_L        = "pl-PL";
const APP_LOCALE_L_FOLDER = "locale/" + APP_LOCALE_L + "/operaview/";

var chromef, chromeFlag;

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var messages = loadResources('locale.inf');

var APP_SUCCESS_MESSAGE = messages.message;

chromef = getFolder("Profile", "chrome");
chromeFlag = PROFILE_CHROME;

setPackageFolder(chromef);
var err = addFile("Paul Roub", APP_VERSION, "chrome/" + APP_JAR_FILE, chromef, null);

if (err == SUCCESS) 
{ 
	var jar = getFolder(chromef, APP_JAR_FILE);

	registerChrome(CONTENT | chromeFlag, jar, APP_CONTENT_FOLDER);
	 registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_L_FOLDER);
   registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_FOLDER);

	err = performInstall();

	if(err == SUCCESS || error == 999) 
   {
		alert(APP_DISPLAY_NAME + " " + APP_VERSION + " " + messages.success
			+APP_SUCCESS_MESSAGE
			+ messages.restart);
	} 
   else 
   { 
		alert(messages.failed + " " + err);
		cancelInstall(err);
	}
} 
else 
{
	alert(messages.failedToCreate + " " + APP_JAR_FILE
		+ messages.writeAccess);
	cancelInstall(err);
}